Bug 67118 - kernel-smp-2.4.18-4 won't boot
kernel-smp-2.4.18-4 won't boot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-20 06:44 EDT by Bent Terp
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bent Terp 2002-06-20 06:44:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i586; U;) Gecko/20020408

Description of problem:
Cannot boot kernel-smp on dual athlon, kernel-up boots without problems.

System worked previously with RedHat 7.2 and kernel-smp-2.4.9-31.athlon.rpm


Version-Release number of selected component (if applicable):
kernel-smp-2.4.18-4.athlon.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install RedHat 7.3 on a dual-athlon
2. rpm --upgrade kernel-smp-2.4.18-4.athlon.rpm; rpm --upgrade
kernel-2.4.18-4.athlon.rpm
3. shutdown -r now
	

Additional info:

system hangs during boot, at this point:
<snip>
Using local APIC timer interrupts.
calibrating APIC timer ...
..... CPU clock speed is 933.1310 MHz.
..... host bus clock speed is 133.3040 MHz.
cpu: 0, clocks: 1333040, slice: 444346
CPU0<T0:1333040,T1:888688,D:6,S:444346,C:1333040>

this was copied from dmesg on another machine, just to pinpoint exactly WHERE in
the bootprocess things went haywire.
Comment 1 Pietro Amodeo 2002-07-01 11:02:02 EDT
- Same problem detected with an installation from scratch of RH7.3, even after
upgrading kernel to kernel-smp-2.4.18-5.
- However, with both kernel-smp-2.4.18-3 and kernel-smp-2.4.18-5, boot stops
(apparently in a random fashion) either at the point listed above, or few lines
earlier:
...changing IO-APIC physical APIC ID to 2 ... ok
..TIMER: vector=0x31 pin1=2 pin2=0

- In addition, with both kernel versions, the two AMD Athlon 2000+ MP processors
are incorrectly recognized as 1900+.
- HW configuration: M/B: Asus A7 M266-D BIOS Rev. 1004 ; RAM: 2x512MB unbuff.
DDR DIMM ; HD: 40 Gb Maxtor D740X-6L ; Video: TNT2 M64 32MB ; Network: 3COM
3C905C-TX-M
Comment 2 Pietro Amodeo 2002-07-01 14:20:18 EDT
Addendum to my previous comment:
I added a second HD (identical to the first one) on which I installed RH7.2.
The system was unable to boot (with the same errors described for RH7.3) both
with the default kernel-smp-2.4.7-10 and with the updated
kernel-smp-2.4.9-34.athlon.rpm. Of course, all the standard (single-processor)
athlon kernels (7.2 and 7.3 with the corresponding updates) boot without
problems...
Comment 3 Pietro Amodeo 2002-07-01 15:25:58 EDT
After updating the M/B BIOS to the 1006 revision the system boots without
problems with the smp kernel kernel-smp-2.4.18-5 (I have not yet retried the
other three versions quoted in my previous comments). However, I noticed that by
restoring the default BIOS setup values, as suggested in the BIOS updating
procedure, the "PnP O/S" value in the "Boot" menu changed from "Yes" to "No".
I experienced that this setting may be critical with previous RH releases (6.2
to 7.1) for athlon-based PC's. I'll try asap to reset the variable to "Yes" with
the new BIOS revision, and I'll post the results soon after.
Comment 4 Pietro Amodeo 2002-07-01 16:43:00 EDT
Last (for today) result:
after resetting PnP O/S variable value to "Yes" the system is still able to boot
(kernel-smp-2.4.18-5), but insmod is no more able to recognize USB. By switching
back to "No", a boot without any error message is recovered. Incidentally,
MPICH-1.2.4 has been compiled and tested successfully.
Comment 5 Bugzilla owner 2004-09-30 11:39:41 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.